package com.prolog.cs.base.gsp.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum GspQualityReviewBillType {
    /**
     * 入库单
     */
    INBOUND("1","入库单"),

    /**
     * 出库单
     */
    OUTBOUND("2","出库单"),
    /**
     * 养护计划
     */
    MAINTENANCE("3","养护计划"),
    /**
     * 库存
     */
    INVENTORY("4","库存");

    private String code;
    private String desc;

    public static String getByCode(String code) {
        for (GspQualityReviewBillType type : GspQualityReviewBillType.values()) {
            if (type.getCode().equals(code)){
                return type.getDesc();
            }
        }
        return "";
    }


}
